-- 8.0.0 -> 8.0.1

ALTER TABLE exp_event
MODIFY COLUMN event_type ENUM(
	'started', 'stopped',
	'created', 'updated', 'deleted', 'status_changed',
	'terminated', 'flushed',
	'installed', 'uninstalled',
	'siteapp_added', 'siteapp_removed',
	'expired', 'exceeded') NOT NULL,

MODIFY COLUMN obj_class ENUM(
	-- Server-related objects
	'license', 'service', 'ip_address',
	'admin_info', 'siteapp', 'session_preferences',
	-- Clients-related objects
	'client', 'client_limits', 'client_status',
	'client_prefs', 'client_perms',
	'client_ip_pool',
	'client_limit_traffic', 'client_limit_size',
	-- Domains-related objects
	'domain', 'domain_limits', 'domain_user',
	'domain_limit_traffic',  'domain_limit_size',
	'domain_status', 'phosting', 'fhosting',
	'db_server',
	'subdomain', 'mailname', 'webuser',
	'maillist', 'dns_zone',
	'mailname_antivirus',
	'mailname_spamfilter',
	'mailname_mailgroup',
	'mailname_autoresponder',
	'mailname_attachment',
	-- dashboard preset
	'dashboard_preset',
	'dashboard_preset_type',
	'dashboard_preset_name') NOT NULL;
